
Name:		ocaml-camlzip
Version:	1.07
Release:	%mkrel 9
Summary:	Reading and writing ZIP, JAR and GZIP files
License:	LGPLv2 with exceptions
Group:		Development/OCaml
URL:            http://github.com/xavierleroy/camlzip/
%global fversion %(echo %{version}|sed -e 's!\\.!!')
Source0:        https://github.com/xavierleroy/camlzip/archive/rel%{fversion}.tar.gz
Patch1:		test-makefile.dpatch
#Patch2:		uncompress.dpatch
BuildRequires:	ocaml-compiler
BuildRequires:	ocaml-findlib
BuildRequires:	pkgconfig(zlib)

%description
This Objective Caml library provides easy access to compressed files in ZIP
and GZIP format, as well as to Java JAR files. It provides functions for
reading from and writing to compressed files in these formats.

%package	devel
Summary:	Development files for %{name}
Group:		Development/OCaml
Requires:	pkgconfig(zlib)
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n camlzip-rel%{fversion}
%autopatch -p1

%build
%make_build depend
%make_build all
%make_build allopt
mkdir -p doc
ocamldoc -colorize-code -html gzip.mli zip.mli zlib.mli -d doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
install -d -m 755 $OCAMLFIND_DESTDIR/stublibs
install -d -m 755 $OCAMLFIND_DESTDIR/zip
make install-findlib

%files
%doc LICENSE README Changes
%dir %{_libdir}/ocaml/zip
%{_libdir}/ocaml/zip/*.cmi
%{_libdir}/ocaml/zip/*.cma
%{_libdir}/ocaml/zip/META
%{_libdir}/ocaml/camlzip/META
%{_libdir}/ocaml/stublibs/dllcamlzip.so*

%files devel
%doc test doc
%{_libdir}/ocaml/zip/*.a
%{_libdir}/ocaml/zip/*.cmx*
%{_libdir}/ocaml/zip/*.mli


%changelog
* Sat Aug 22 2020 tv <tv> 1.07-9.mga8
+ Revision: 1617870
- Rebuild for new ocaml deps generator

* Fri Feb 28 2020 umeabot <umeabot> 1.07-8.mga8
+ Revision: 1551136
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1.07-7.mga8
+ Revision: 1543242
- Mageia 8 Mass Rebuild

* Sun Jan 19 2020 tv <tv> 1.07-6.mga8
+ Revision: 1481532
- rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 1.07-5.mga7
+ Revision: 1324040
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 1.07-4.mga7
+ Revision: 1323728
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 1.07-3.mga7
+ Revision: 1299848
- Mageia 7 Mass Rebuild

* Fri Mar 23 2018 pterjan <pterjan> 1.07-2.mga7
+ Revision: 1211579
- Workaround parallel build problem

* Sun Nov 26 2017 tv <tv> 1.07-1.mga7
+ Revision: 1179307
- new release
- new site
- rebuild for new ocaml

* Thu Oct 12 2017 daviddavid <daviddavid> 1.05-9.mga7
+ Revision: 1171342
- patch3: use standard ISO C99 types uint{32,64}_t

* Mon Sep 26 2016 pterjan <pterjan> 1.05-8.mga6
+ Revision: 1056272
- Rebuild for fix in ocaml

* Mon Feb 01 2016 pterjan <pterjan> 1.05-7.mga6
+ Revision: 930817
- Rebuild for new ocaml

* Wed Oct 15 2014 umeabot <umeabot> 1.05-6.mga5
+ Revision: 746372
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.05-5.mga5
+ Revision: 683003
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.05-4.mga4
+ Revision: 536412
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 blue_prawn <blue_prawn> 1.05-3.mga4
+ Revision: 484222
- rebuild for ocaml-4.01.0

* Sat Jan 12 2013 umeabot <umeabot> 1.05-2.mga3
+ Revision: 361206
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 blue_prawn <blue_prawn> 1.05-1.mga3
+ Revision: 319811
- updated to last version 1.05

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.04-10.mga3
+ Revision: 301642
- new rpm group for ocaml
- new rpm group for ocaml
- update to new ocamlforge location for the homepage
- update to new ocamlforge location

* Sun Oct 02 2011 fwang <fwang> 1.04-8.mga2
+ Revision: 150881
- rebuild for new ocaml

* Fri Apr 08 2011 ennael <ennael> 1.04-7.mga1
+ Revision: 82385
- clean spec file
- imported package ocaml-camlzip

